Subject: Clarifying locking in RFC2518bis (was RE: bind draft issues)

From: "Clemm, Geoff" <[email-masked]>
Date: Tue, 4 Mar 2003 09:41:06 -0500

It has been several weeks since we posted the request for objections
to the GULP model, and we have received no objections (either to the
content or the terminology).

So I propose that we add the GULP model (as described in the message
quoted below by Julian) into RFC2518bis, and use that as the basis
for our locking discussions.

Lisa: Could you make this update?  (Julian, Jason, or I would be happy
to help, if you are pressed for time).  This will significantly
improve our ability to make progress with other protocol extensions
that need to define their interactions with locks (i.e. we can stop
discussing what might appear in 2518bis, and instead just refer to what
is said in 2518bis).

Cheers,
Geoff

   From: Julian Reschke [mailto:[email-masked]]

   > From:  Clemm, Geoff
   > > RFC2518bis is in the process of finalizing the behavior of
   > > locks, and we do not want the bind draft to say anything that
   > > conflicts with this.  Instead, we will make sure that the
   > > locking model in RFC2518bis clearly defines locking behavior
   > > in the presence of multiple bindings.

   From: Dusseault, Lisa
   > I don't think that's a reasonable expectation of RFC2518bis.  The
   > bindings draft has to be clear in how it deals with locks -- RFC2518bis
   > will not discuss bindings.

   I thought we had agreement that GULP is the currently best approach of
   explaining the WebDAV locking model. GULP also covers binds (implicitly!)
   and therefore either should be added to RFC2518bis, or be the basis for a
   rewrite:

   <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0064.html>